### File

`packages/ecl/components/ecl-site-header/banner-top/ecl-site-header-banner-top.component.ts`

### Description

This component is used , when we want to show class name (used in standardised variant of site-header).

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-site-header-banner-top`
styles | `:host { display: block; }`
templateUrl | `ecl-site-header-banner-top.component.html`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-site-header__banner-top

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-site-header__banner-top
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-site-header__banner-top')`

# results matching ""

# No results matching ""